Skip to main content
GET
https://api-gw.verolabs.co/api/v1
/
referral
/
history
Get referral history
curl --request GET \
  --url https://api-gw.verolabs.co/api/v1/referral/history \
  --header 'Authorization: Bearer <token>'
[
  {
    "friendAddress": "<string>",
    "dateJoined": "<string>",
    "totalVolume": 123,
    "feesPaid": 123,
    "yourRewards": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.oms.verolabs.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT returned by Ory /sessions/whoami?tokenize_as=jwt_template_1 and stored by ApiClient.

Query Parameters

limit
integer
default:100
Required range: x >= 1

Response

Referral history entries.

friendAddress
string
dateJoined
string
totalVolume
number
feesPaid
number
yourRewards
number